package yatzy;

/**
 * A row in the score board
 *
 * @author hajo
 */
public class RowValue {

    private final int row; // This is to avoid explicit i++ style loops
    private int value;
    private boolean set = false;

    public RowValue(int row, int val, boolean set) {
        this.row = row;
        this.value = val;
        this.set = set;
    }

    public void set(int row, int val) {
        this.value = val;
        this.set = true;
    }

    public int getValue() {
        return value;
    }

    public int getRow() {
        return row;
    }

    public boolean isSet() {
        return set;
    }

    @Override
    public String toString() {
        return row + "(" + value + "," + set + ")";
    }
}
