
package yatzy.gui;

import java.awt.BorderLayout;
import java.awt.Color;
import java.awt.GridLayout;
import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;
import javax.swing.BorderFactory;
import javax.swing.JButton;
import javax.swing.JLabel;
import javax.swing.JPanel;
import javax.swing.border.Border;
import yatzy.EventBus;
import yatzy.YatzyOptions;
import yatzy.Player;
import yatzy.Yatzy;


/**
 * Button to roll and some info
 * @author hajo
 */
public class ButtonPanel extends JPanel implements ActionListener, EventBus.IEventHandler {

    private final Yatzy yatzy;
    private final JLabel name;  // Name of actual player
    private final JButton roll;

    @Override
    public void actionPerformed(ActionEvent e) {
       
    }

    @Override
    public void onEvent(EventBus.Event evt, Object o) {
      
    }

    public ButtonPanel(Yatzy yatzy) {
        this.yatzy = yatzy;
        
        Border border =  BorderFactory.createEmptyBorder(10, 10, 10, 10);

        name = new JLabel();
        name.setForeground(Color.RED);
        name.setBorder(border);
  
        roll = new JButton("Roll");
        roll.setActionCommand("roll");
        roll.addActionListener(this);
        roll.setBorder(border);
      
        JLabel robot = new JLabel();
        robot.setBorder(border);
        if (YatzyOptions.useRobot()) {
            robot.setText("Robot: ON");
        } else {
            robot.setText("Robot: OFF");
        }
        this.setBorder(border);
        this.setLayout(new GridLayout(1,3));
        this.add(name, BorderLayout.WEST);
        this.add(roll, BorderLayout.CENTER);
        this.add(robot, BorderLayout.EAST);
        
        EventBus.INSTANCE.register(this);
    }
}
